#include <stdio.h>
#include <stdint.h>

int main() {
    uint64_t x;
    scanf("%ju", &x);

    unsigned bits = 7;
    uint64_t mask = ~0ul;
    while (((~0ul << bits) & x) != 0) {
        bits += 7;
    }

    while (bits > 7) {
        bits -= 7;
        uint64_t mask = 127ul << bits;
        printf("%ju ", 128 | ((x & mask) >> bits));
    }

    printf("%ju\n", x & 127);
}
